"""add record class

Revision ID: 55307b70da13
Revises: f46d5afa7639
Create Date: 2021-04-06 13:15:02.926798

"""
from alembic import op
import sqlalchemy as sa
from enum import Enum

# revision identifiers, used by Alembic.
revision = "55307b70da13"
down_revision = "f46d5afa7639"
branch_labels = None
depends_on = None


class RecordClass(Enum):
    parameter = 1
    response = 2
    other = 3


def upgrade():
    enum_type = sa.dialects.postgresql.ENUM(RecordClass, name="recordclass")
    enum_type.create(op.get_bind())
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column(
        "record",
        sa.Column(
            "record_class",
            sa.Enum(RecordClass),
            nullable=True,
        ),
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column("record", "record_class")
    op.execute("DROP TYPE recordclass")
    # ### end Alembic commands ###
